ਸਮੱਗਰੀ ਵੱਲ ਜਾਓ

Luma Photon Flash Reframe

ਇੰਟੀਗ੍ਰੇਟ ਕਰੋ

ਮਾਡਲ id luma-photon/flash/reframe
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/luma-photon/flash/reframe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "aspect_ratio": "1:1"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ਇਹ ਬੇਨਤੀ: ≈$0.005 5 API ਕ੍ਰੈਡਿਟ ਇਸ ਪੰਨੇ ’ਤੇ ਚਲਾਓ

API ਕੁੰਜੀ ਲਵੋ
Luma AI ਚਿੱਤਰ ਸੰਪਾਦਨ ਤੇਜ਼ #flash#reframe#outpainting

ਵਿਕਲਪਿਕ ਕ੍ਰੌਪ ਅਤੇ ਗ੍ਰਿਡ ਪਲੇਸਮੈਂਟ ਨਾਲ ਚਿੱਤਰ ਨੂੰ ਨਵੇਂ ਆਸਪੈਕਟ ਰੇਸ਼ੋ ਤੱਕ ਵਧਾਉਣ ਵਾਲੀ Flash ਆਊਟਪੇਂਟਿੰਗ

Luma AI · ਚਿੱਤਰ

ਤੁਹਾਡਾ ਪਹਿਲਾ ਨਤੀਜਾ ਇੱਥੇ ਹੋਵੇਗਾ

ਹੇਠਾਂ ਬੇਨਤੀ ਬਣਾਓ ਅਤੇ ਆਪਣੀ API ਕੁੰਜੀ ਨਾਲ ਚਲਾਓ। ਆਉਟਪੁੱਟ ਸਾਡੇ ਸਟੋਰੇਜ ਵਿੱਚ ਕਾਪੀ ਕੀਤੇ ਜਾਂਦੇ ਹਨ ਅਤੇ ਹਮੇਸ਼ਾ ਲਈ ਜਾਂ ਮੁਫ਼ਤ ਵਿੱਚ 7 ਦਿਨ ਤੱਕ ਰੱਖੇ ਜਾਂਦੇ ਹਨ।

ਰਿਕਵੈਸਟ ਬਣਾਓ

ਕੰਟਰੋਲ ਮਾਡਲ ਸਕੀਮਾ ਤੋਂ ਤਿਆਰ ਹੁੰਦੇ ਹਨ। ਤੁਸੀਂ ਬਦਲਾਅ ਕਰਦੇ ਹੀ ਕੋਡ ਅਤੇ ਕੀਮਤ ਅੱਪਡੇਟ ਹੋ ਜਾਂਦੇ ਹਨ।

0 / 5000

reframing ਲਈ ਮਾਰਗਦਰਸ਼ਨ ਕਰਨ ਵਾਲੀ ਵਿਕਲਪਿਕ ਟੈਕਸਟ ਹਦਾਇਤ।

•ਲੋੜੀਂਦਾ image_url
ਫ਼ਾਈਲ ਛੱਡੋ, ਜਾਂ

reframe ਕੀਤੇ ਜਾਣ ਵਾਲੇ ਚਿੱਤਰ ਵੱਲ ਇਸ਼ਾਰਾ ਕਰਦਾ URL।

aspect_ratio •ਲੋੜੀਂਦਾ

reframe ਕੀਤੇ ਚਿੱਤਰ ਦਾ aspect ratio।

ਉੱਨਤ grid_position_x · grid_position_y · x_end · x_start · y_end · y_start · enable_safety_checker

reframing grid ਦੀ ਹੋਰਿਜ਼ਾਂਟਲ (X) ਸਥਿਤੀ।

reframing grid ਦੀ ਵਰਟੀਕਲ (Y) ਸਥਿਤੀ।

reframing ਲਈ X axis ਦੇ ਨਾਲ ਅੰਤਮ ਕੋਆਰਡੀਨੇਟ।

reframing ਲਈ X axis ਦੇ ਨਾਲ ਸ਼ੁਰੂਆਤੀ ਕੋਆਰਡੀਨੇਟ।

reframing ਲਈ Y axis ਦੇ ਨਾਲ ਅੰਤਮ ਕੋਆਰਡੀਨੇਟ।

reframing ਲਈ Y axis ਦੇ ਨਾਲ ਸ਼ੁਰੂਆਤੀ ਕੋਆਰਡੀਨੇਟ।

POST /run/luma-photon/flash/reframe?wait=20 ਕੋਟ → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/luma-photon/flash/reframe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "aspect_ratio": "1:1"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ਇਹ ਬੇਨਤੀ ਚਲਾਓ

ਤੁਹਾਡੀ key ਇਸ ਬ੍ਰਾਊਜ਼ਰ ਵਿੱਚ ਰਹਿੰਦੀ ਹੈ: ਇਹ ਸਿਰਫ਼ Doitong API ਨੂੰ ਭੇਜੀ ਜਾਂਦੀ ਹੈ ਅਤੇ ਸਿਰਫ਼ ਤਾਂ ਹੀ (localStorage) ਵਿੱਚ ਸੁਰੱਖਿਅਤ ਹੁੰਦੀ ਹੈ ਜੇ ਤੁਸੀਂ Remember ਚੁਣੋ। API ਕੁੰਜੀ ਪ੍ਰਾਪਤ ਕਰੋ

Luma Photon Flash Reframe ਬਾਰੇ

`image_url` ਵਾਲੇ ਚਿੱਤਰ ਨੂੰ ਲਾਜ਼ਮੀ `aspect_ratio` ਜਿਵੇਂ 16:9, 1:1 ਜਾਂ 9:21 ਵਿੱਚ ਰੀਫ੍ਰੇਮ ਜਾਂ ਵਧਾਉਂਦਾ ਹੈ। ਵਿਕਲਪਿਕ `prompt` ਭਰੇ ਜਾਣ ਵਾਲੇ ਖੇਤਰਾਂ ਦਾ ਮਾਰਗਦਰਸ਼ਨ ਕਰ ਸਕਦਾ ਹੈ। ਪਲੇਸਮੈਂਟ ਨੂੰ `grid_position_x`, `grid_position_y` ਅਤੇ `x_start`, `x_end`, `y_start`, `y_end` ਕੋਆਰਡੀਨੇਟਾਂ ਨਾਲ ਕੰਟਰੋਲ ਕੀਤਾ ਜਾ ਸਕਦਾ ਹੈ। ਇਹ Reframe ਦਾ Flash ਰੂਪ ਹੈ।

ਪੈਰਾਮੀਟਰ

ਕੈਨੋਨਿਕਲ ਨਾਮ ਜਾਂ ਨੇਟਿਵ ਨਾਮ ਵਿੱਚੋਂ ਕੋਈ ਇੱਕ ਭੇਜੋ, ਦੋਵੇਂ ਨਹੀਂ। ਕੈਨੋਨਿਕਲ ਨਾਮ

ਨਾਮਕਿਸਮ ਡਿਫ਼ਾਲਟਮਨਜ਼ੂਰਸ਼ੁਦਾ ਵੇਰਵਾ
image_urlਲੋੜੀਂਦਾ image
ਕਿਸਮurl · image
reframe ਕੀਤੇ ਜਾਣ ਵਾਲੇ ਚਿੱਤਰ ਵੱਲ ਇਸ਼ਾਰਾ ਕਰਦਾ URL।
aspect_ratioਲੋੜੀਂਦਾ
ਕਿਸਮenum
1:116:99:164:33:421:99:21
reframe ਕੀਤੇ ਚਿੱਤਰ ਦਾ aspect ratio।
promptਵਿਕਲਪਿਕ
ਕਿਸਮstring | null
≤ 5,000 ਅੱਖਰ≥ 3 ਅੱਖਰ
reframing ਲਈ ਮਾਰਗਦਰਸ਼ਨ ਕਰਨ ਵਾਲੀ ਵਿਕਲਪਿਕ ਟੈਕਸਟ ਹਦਾਇਤ।
grid_position_xਵਿਕਲਪਿਕ
ਕਿਸਮinteger | null
reframing grid ਦੀ ਹੋਰਿਜ਼ਾਂਟਲ (X) ਸਥਿਤੀ।
grid_position_yਵਿਕਲਪਿਕ
ਕਿਸਮinteger | null
reframing grid ਦੀ ਵਰਟੀਕਲ (Y) ਸਥਿਤੀ।
x_endਵਿਕਲਪਿਕ
ਕਿਸਮinteger | null
reframing ਲਈ X axis ਦੇ ਨਾਲ ਅੰਤਮ ਕੋਆਰਡੀਨੇਟ।
x_startਵਿਕਲਪਿਕ
ਕਿਸਮinteger | null
reframing ਲਈ X axis ਦੇ ਨਾਲ ਸ਼ੁਰੂਆਤੀ ਕੋਆਰਡੀਨੇਟ।
y_endਵਿਕਲਪਿਕ
ਕਿਸਮinteger | null
reframing ਲਈ Y axis ਦੇ ਨਾਲ ਅੰਤਮ ਕੋਆਰਡੀਨੇਟ।
y_startਵਿਕਲਪਿਕ
ਕਿਸਮinteger | null
reframing ਲਈ Y axis ਦੇ ਨਾਲ ਸ਼ੁਰੂਆਤੀ ਕੋਆਰਡੀਨੇਟ।
enable_safety_checkerਵਿਕਲਪਿਕ
ਕਿਸਮboolean
ਡਿਫ਼ਾਲਟtrue
false ਸੈੱਟ ਕਰਕੇ ਸਕ੍ਰੀਨਿੰਗ ਨੂੰ ਢਿੱਲਾ ਕੀਤਾ ਜਾ ਸਕਦਾ ਹੈ, ਜੇ ਕਾਲਰ ਅਧਿਕਾਰਤ ਹੋਵੇ।
ਲੋੜੀਂਦਾ ਕੈਨੋਨਿਕਲ ਨਾਮ, ਇਹ ਵੀ ਸਵੀਕਾਰਿਆ ਜਾਂਦਾ ਹੈ

ਫ਼ਾਈਲ ਪੈਰਾਮੀਟਰ ਜਨਤਕ https:// URL, 10 MB ਤੱਕ ਦਾ data: URI, ਜਾਂ ਅੱਪਲੋਡ ਦੇ file_url ਨੂੰ ਸਵੀਕਾਰਦੇ ਹਨ। ਫ਼ਾਈਲਾਂ

ਆਉਟਪੁੱਟ

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "luma-photon/flash/reframe",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "aspect_ratio": "1:1"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ਤੁਹਾਡੀਆਂ ਫ਼ਾਈਲਾਂ, ਤੁਹਾਡੀ ਚੋਣਹਰ outputs[].url ਸਾਡੇ ਸਟੋਰੇਜ ਵਿੱਚ ਇੱਕ ਕਾਪੀ ਹੈ: ਹਮੇਸ਼ਾ ਲਈ ਰੱਖੀ ਜਾਂਦੀ ਹੈ (ਪ੍ਰਤੀ GB-ਮਹੀਨਾ ਭੁਗਤਾਨ) ਜਾਂ 7 ਦਿਨ ਤੱਕ ਮੁਫ਼ਤ, ਤੁਹਾਡੀ ਖਾਤਾ ਸੈਟਿੰਗ ਜਾਂ ?storage= ਅਨੁਸਾਰ।
ਹਰ ਮਾਡਲ ’ਤੇ ਇੱਕੋ ਜਿਹਾ ਰੂਪਤਸਵੀਰਾਂ, ਵੀਡੀਓ ਅਤੇ ਆਡੀਓ ਸਭ ਲਈ type, url, content_type, width, height ਅਤੇ duration। output ਮਾਡਲ ਦਾ ਆਪਣਾ ਨਤੀਜਾ ਆਬਜੈਕਟ ਹੈ।
ਆਉਟਪੁੱਟ ਦੇ ਫ਼ੀਲਡ
images
array of object {url, content_type, file_name, file_size}ਸਿਰਜਣਾ ਰਾਹੀਂ ਤਿਆਰ ਕੀਤਾ ਚਿੱਤਰ।

ਹੋਰ ਮਾਡਲ: ਚਿੱਤਰ ਸੰਪਾਦਨ

AI ਏਜੰਟਾਂ ਲਈ: ਇਹ ਪੰਨਾ Markdown ਵਜੋਂ ਇੱਥੇ ਹੈ https://doitong.com/pa/developers/models/luma-photon/flash/reframe.md. ਸਾਰੇ ਮਾਡਲ ਅਤੇ ਗਾਈਡ: https://doitong.com/developers/llms.txt